Imagick::nextImage
Imagick::oilPaintImage
The Imagick class
PHP Manual

# Imagick::normalizeImage

(PECL imagick 2.0.0)

Imagick::normalizeImage — Enhances the contrast of a color image

### Description

bool Imagick::normalizeImage ([ int `$channel` ] )
Warning

This function is currently not documented; only its argument list is available.

Enhances the contrast of a color image by adjusting the pixels color to span the entire range of colors available.

### Parameters

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to `Imagick::CHANNEL_ALL`. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

Imagick::nextImage
Imagick::oilPaintImage
The Imagick class
PHP Manual